<?xml version="1.0" encoding="utf-8"?>
<com.sothree.slidinguppanel.SlidingUpPanelLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:sothree="http://schemas.android.com/apk/res-auto"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/sliding_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="top"
    sothree:umanoPanelHeight="?attr/actionBarSize"
    sothree:umanoShadowHeight="4dp"
    sothree:umanoDragView="@+id/dragView"
    sothree:umanoOverlay="true">

    <!-- MAIN CONTENT -->
    <FrameLayout
        android:id="@+id/main"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <FrameLayout
            android:layout_marginTop="?attr/actionBarSize"
            android:id="@+id/fragmentContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:background="#FFFFFF"
                android:id="@+id/abc"
                android:paddingBottom="?attr/actionBarSize"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ProgressBar
                    style="?android:attr/progressBarStyle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:id="@+id/progressBar" />

                <ListView
                    android:id="@+id/approvalContainer"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">
                <android.support.design.widget.TabLayout
                    android:background="#FFFFFF"
                    style="@style/AppTabLayout"
                    android:layout_gravity="bottom"
                    android:layout_alignParentBottom="true"
                    android:id="@+id/tabContainer"
                    app:tabTextAppearance="@style/AppTabTextAppearance"
                    android:layout_width="match_parent"
                    app:tabMaxWidth="0dp"
                    app:tabMode="fixed"
                    app:tabGravity="fill"
                    android:layout_height="?attr/actionBarSize">

                    <android.support.design.widget.TabItem
                        android:id="@+id/tabListSPBJ"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="LIST SPBJ" />

                    <android.support.design.widget.TabItem
                        android:id="@+id/tabApproval"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="APPROVAL" />

                </android.support.design.widget.TabLayout>
            </RelativeLayout>

        </FrameLayout>

    </FrameLayout>

    <!-- SLIDING LAYOUT -->
    <RelativeLayout
        android:background="@color/MDprimary2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.8"
        android:orientation="vertical"
        android:id="@+id/dragView">

        <Button
            android:clickable="true"
            android:onClick="clickUpDrawer"
            android:layout_marginTop="10dp"
            android:id="@+id/upIcon"
            android:padding="10dp"
            android:background="@mipmap/ic_up_arrow"
            android:layout_marginLeft="10dp"
            android:layout_width="30dp"
            android:layout_height="30dp" />

        <LinearLayout
            android:background="@drawable/sidebar_menu_border_top"
            android:clickable="true"
            android:gravity="center_vertical"
            android:layout_alignParentTop="true"
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.mikhaellopez.circularimageview.CircularImageView
                android:layout_marginTop="15dp"
                android:layout_gravity="center_horizontal"
                sothree:srcCompat="@mipmap/ic_launcher"
                android:layout_width="70dp"
                android:layout_height="70dp"
                app:civ_border_color="#EEEEEE"
                android:src="@mipmap/ic_launcher"
                app:civ_border_width="1dp"
                app:civ_shadow="true"
                app:civ_shadow_radius="10"
                app:civ_shadow_color="@color/selectedSidebarMenu"/>

            <TextView
                android:textColor="#FFFFFF"
                android:textAlignment="center"
                android:layout_marginBottom="5dp"
                android:layout_marginTop="5dp"
                android:text="@string/textName"
                android:id="@+id/textUserName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <TextView
                android:layout_marginBottom="10dp"
                android:textAlignment="center"
                android:textColor="#FFFFFF"
                android:text="@string/textPekerjaan"
                android:id="@+id/textUserRole"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <LinearLayout
                android:gravity="center_vertical"
                android:clickable="true"
                android:onClick="clickButtonReport"
                android:id="@+id/buttonReport"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize">

                <ImageView
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    sothree:srcCompat="@mipmap/ic_report"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <TextView
                    android:textColor="#FFFFFF"
                    android:textAllCaps="true"
                    android:text="@string/textReport"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

            </LinearLayout>

            <LinearLayout
                android:background="@color/selectedSidebarMenu"
                android:clickable="true"
                android:onClick="clickButtonApproval"
                android:gravity="center_vertical"
                android:id="@+id/buttonApproval"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize">

                <ImageView
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    sothree:srcCompat="@mipmap/ic_approval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <TextView
                    android:textColor="#FFFFFF"
                    android:textAllCaps="true"
                    android:text="@string/textApproval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:onClick="clickButtonLogout"
            android:background="@drawable/sidebar_menu_border_bottom"
            android:id="@+id/buttonLogout"
            android:layout_above="@+id/main_toolbar_parent"
            android:gravity="center"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize">

            <ImageView
                android:layout_marginRight="20dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                sothree:srcCompat="@mipmap/ic_logout"
                android:id="@+id/imageView3" />

            <TextView
                android:textColor="#FFFFFF"
                android:textAllCaps="true"
                android:text="@string/textSignOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <FrameLayout
            android:id="@+id/main_toolbar_parent"
            android:layout_alignParentBottom="true"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <android.support.v7.widget.Toolbar
                sothree:titleTextColor="#FFFFFF"
                android:layout_height="?attr/actionBarSize"
                android:title="@string/app_name"
                android:id="@+id/main_toolbar"
                sothree:background="@color/MDprimary2"
                sothree:navigationIcon="@mipmap/ic_menu"
                android:layout_width="match_parent"/>
        </FrameLayout>

    </RelativeLayout>
</com.sothree.slidinguppanel.SlidingUpPanelLayout>